diff --git a/test_plans/vhost_event_idx_interrupt_cbdma_test_plan.rst b/test_plans/vhost_event_idx_interrupt_cbdma_test_plan.rst
index 1c6a6400..341005a4 100644
--- a/test_plans/vhost_event_idx_interrupt_cbdma_test_plan.rst
+++ b/test_plans/vhost_event_idx_interrupt_cbdma_test_plan.rst
@@ -54,7 +54,7 @@ Test Case 1: wake up split ring vhost-user cores with event idx interrupt mode a
 1. Bind 16 cbdma ports to vfio-pci driver, then launch l3fwd-power example app with client mode::
 
     ./x86_64-native-linuxapp-gcc/examples/dpdk-l3fwd-power  -l 1-16 -n 4 --log-level=9 \
-    --vdev 'eth_vhost0,iface=/vhost-net0,queues=16,client=1,dmas=[txq0@80:04.0;txq1@80:04.1;txq2@80:04.2;txq3@80:04.3;txq4@80:04.4;txq5@80:04.5;txq6@80:04.6;txq7@80:04.7;txq8@00:04.0;txq9@00:04.1;txq10@00:04.2;txq11@00:04.3;txq12@00:04.4;txq13@00:04.5;txq14@00:04.6;txq15@00:04.7]' \
+    --vdev 'eth_vhost0,iface=./vhost-net0,queues=16,client=1,dmas=[txq0@80:04.0;txq1@80:04.1;txq2@80:04.2;txq3@80:04.3;txq4@80:04.4;txq5@80:04.5;txq6@80:04.6;txq7@80:04.7;txq8@00:04.0;txq9@00:04.1;txq10@00:04.2;txq11@00:04.3;txq12@00:04.4;txq13@00:04.5;txq14@00:04.6;txq15@00:04.7]' \
     -- -p 0x1 --parse-ptype 1 \
     --config "(0,0,1),(0,1,2),(0,2,3),(0,3,4),(0,4,5),(0,5,6),(0,6,7),(0,7,8),(0,8,9),(0,9,10),(0,10,11),(0,11,12),(0,12,13),(0,13,14),(0,14,15),(0,15,16)"
 
@@ -67,14 +67,14 @@ Test Case 1: wake up split ring vhost-user cores with event idx interrupt mode a
     -device virtserialport,chardev=vm2_qga0,name=org.qemu.guest_agent.2 -daemonize \
     -monitor unix:/tmp/vm2_monitor.sock,server,nowait -device e1000,netdev=nttsip1 \
     -netdev user,id=nttsip1,hostfwd=tcp:127.0.0.1:6003-:22 \
-    -chardev socket,id=char0,path=./vhost-net0 \
+    -chardev socket,id=char0,path=./vhost-net0,server \
     -netdev type=vhost-user,id=netdev0,chardev=char0,vhostforce,queues=16 \
     -device virtio-net-pci,netdev=netdev0,mac=52:54:00:00:00:02,disable-modern=false,mrg_rxbuf=on,csum=on,guest_csum=on,host_tso4=on,guest_tso4=on,guest_ecn=on,mq=on,vectors=40 -vnc :12
 
 3. Relauch l3fwd-power sample for port up::
 
     ./x86_64-native-linuxapp-gcc/examples/dpdk-l3fwd-power  -l 1-16 -n 4 --log-level=9 \
-    --vdev 'eth_vhost0,iface=/vhost-net0,queues=16,client=1,dmas=[txq0@80:04.0;txq1@80:04.1;txq2@80:04.2;txq3@80:04.3;txq4@80:04.4;txq5@80:04.5;txq6@80:04.6;txq7@80:04.7;txq8@00:04.0;txq9@00:04.1;txq10@00:04.2;txq11@00:04.3;txq12@00:04.4;txq13@00:04.5;txq14@00:04.6;txq15@00:04.7]' \
+    --vdev 'eth_vhost0,iface=./vhost-net0,queues=16,client=1,dmas=[txq0@80:04.0;txq1@80:04.1;txq2@80:04.2;txq3@80:04.3;txq4@80:04.4;txq5@80:04.5;txq6@80:04.6;txq7@80:04.7;txq8@00:04.0;txq9@00:04.1;txq10@00:04.2;txq11@00:04.3;txq12@00:04.4;txq13@00:04.5;txq14@00:04.6;txq15@00:04.7]' \
     -- -p 0x1 --parse-ptype 1 \
     --config "(0,0,1),(0,1,2),(0,2,3),(0,3,4),(0,4,5),(0,5,6),(0,6,7),(0,7,8),(0,8,9),(0,9,10),(0,10,11),(0,11,12),(0,12,13),(0,13,14),(0,14,15),(0,15,16)"
 
@@ -115,8 +115,8 @@ Test Case 2: wake up split ring vhost-user cores by multi virtio-net in VMs with
 1. Bind two cbdma ports to vfio-pci driver, then launch l3fwd-power example app with client mode::
 
     ./x86_64-native-linuxapp-gcc/examples/dpdk-l3fwd-power  -l 1-2 -n 4 --log-level=9 \
-    --vdev 'eth_vhost0,iface=/vhost-net0,queues=1,client=1,dmas=[txq0@00:04.0]' \
-    --vdev 'eth_vhost1,iface=/vhost-net1,queues=1,client=1,dmas=[txq0@80:04.0]' \
+    --vdev 'eth_vhost0,iface=./vhost-net0,queues=1,client=1,dmas=[txq0@00:04.0]' \
+    --vdev 'eth_vhost1,iface=./vhost-net1,queues=1,client=1,dmas=[txq0@80:04.0]' \
     -- -p 0x3 --parse-ptype 1 --config "(0,0,1),(1,0,2)"
 
 2. Launch VM1 and VM2 with server mode::
@@ -127,7 +127,7 @@ Test Case 2: wake up split ring vhost-user cores by multi virtio-net in VMs with
      -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu1910.img  \
      -monitor unix:/tmp/vm2_monitor.sock,server,nowait -device e1000,netdev=nttsip1 \
      -netdev user,id=nttsip1,hostfwd=tcp:127.0.0.1:6003-:22 \
-     -chardev socket,server,id=char0,path=/vhost-net0 \
+     -chardev socket,server,id=char0,path=./vhost-net0,server \
      -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
      -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,csum=on -vnc :10 -daemonize
 
@@ -137,15 +137,15 @@ Test Case 2: wake up split ring vhost-user cores by multi virtio-net in VMs with
      -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu1910-2.img  \
      -monitor unix:/tmp/vm2_monitor.sock,server,nowait -device e1000,netdev=nttsip1 \
      -netdev user,id=nttsip1,hostfwd=tcp:127.0.0.1:6004-:22 \
-     -chardev socket,server,id=char0,path=/vhost-net1 \
+     -chardev socket,server,id=char0,path=./vhost-net1,server \
      -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
      -device virtio-net-pci,mac=52:54:00:00:00:02,netdev=mynet1,csum=on -vnc :11 -daemonize
 
 3. Relauch l3fwd-power sample for port up::
 
     ./x86_64-native-linuxapp-gcc/examples/dpdk-l3fwd-power  -l 1-2 -n 4 --log-level=9 \
-    --vdev 'eth_vhost0,iface=/vhost-net0,queues=1,client=1,dmas=[txq0@00:04.0]' \
-    --vdev 'eth_vhost1,iface=/vhost-net1,queues=1,client=1,dmas=[txq0@80:04.0]' \
+    --vdev 'eth_vhost0,iface=./vhost-net0,queues=1,client=1,dmas=[txq0@00:04.0]' \
+    --vdev 'eth_vhost1,iface=./vhost-net1,queues=1,client=1,dmas=[txq0@80:04.0]' \
     -- -p 0x3 --parse-ptype 1 --config "(0,0,1),(1,0,2)"
 
 4. On VM1, set ip for virtio device and send packets to vhost::
@@ -170,7 +170,7 @@ Test Case 3: wake up packed ring vhost-user cores with event idx interrupt mode
 1. Bind 16 cbdma ports to vfio-pci driver, then launch l3fwd-power example app with client mode::
 
     ./x86_64-native-linuxapp-gcc/examples/dpdk-l3fwd-power  -l 1-16 -n 4 --log-level=9 \
-    --vdev 'eth_vhost0,iface=/vhost-net0,queues=16,client=1,dmas=[txq0@80:04.0;txq1@80:04.1;txq2@80:04.2;txq3@80:04.3;txq4@80:04.4;txq5@80:04.5;txq6@80:04.6;txq7@80:04.7;txq8@00:04.0;txq9@00:04.1;txq10@00:04.2;txq11@00:04.3;txq12@00:04.4;txq13@00:04.5;txq14@00:04.6;txq15@00:04.7]' \
+    --vdev 'eth_vhost0,iface=./vhost-net0,queues=16,client=1,dmas=[txq0@80:04.0;txq1@80:04.1;txq2@80:04.2;txq3@80:04.3;txq4@80:04.4;txq5@80:04.5;txq6@80:04.6;txq7@80:04.7;txq8@00:04.0;txq9@00:04.1;txq10@00:04.2;txq11@00:04.3;txq12@00:04.4;txq13@00:04.5;txq14@00:04.6;txq15@00:04.7]' \
     -- -p 0x1 --parse-ptype 1 \
     --config "(0,0,1),(0,1,2),(0,2,3),(0,3,4),(0,4,5),(0,5,6),(0,6,7),(0,7,8),(0,8,9),(0,9,10),(0,10,11),(0,11,12),(0,12,13),(0,13,14),(0,14,15),(0,15,16)"
 
@@ -183,14 +183,14 @@ Test Case 3: wake up packed ring vhost-user cores with event idx interrupt mode
     -device virtserialport,chardev=vm2_qga0,name=org.qemu.guest_agent.2 -daemonize \
     -monitor unix:/tmp/vm2_monitor.sock,server,nowait -device e1000,netdev=nttsip1 \
     -netdev user,id=nttsip1,hostfwd=tcp:127.0.0.1:6003-:22 \
-    -chardev socket,id=char0,path=./vhost-net0 \
+    -chardev socket,id=char0,path=./vhost-net0,server \
     -netdev type=vhost-user,id=netdev0,chardev=char0,vhostforce,queues=16 \
     -device virtio-net-pci,netdev=netdev0,mac=52:54:00:00:00:02,disable-modern=false,mrg_rxbuf=on,csum=on,guest_csum=on,host_tso4=on,guest_tso4=on,guest_ecn=on,mq=on,vectors=40,packed=on -vnc :12
 
 3. Relauch l3fwd-power sample for port up::
 
     ./x86_64-native-linuxapp-gcc/examples/dpdk-l3fwd-power  -l 1-16 -n 4 --log-level=9 \
-    --vdev 'eth_vhost0,iface=/vhost-net0,queues=16,client=1,dmas=[txq0@80:04.0;txq1@80:04.1;txq2@80:04.2;txq3@80:04.3;txq4@80:04.4;txq5@80:04.5;txq6@80:04.6;txq7@80:04.7;txq8@00:04.0;txq9@00:04.1;txq10@00:04.2;txq11@00:04.3;txq12@00:04.4;txq13@00:04.5;txq14@00:04.6;txq15@00:04.7]' \
+    --vdev 'eth_vhost0,iface=./vhost-net0,queues=16,client=1,dmas=[txq0@80:04.0;txq1@80:04.1;txq2@80:04.2;txq3@80:04.3;txq4@80:04.4;txq5@80:04.5;txq6@80:04.6;txq7@80:04.7;txq8@00:04.0;txq9@00:04.1;txq10@00:04.2;txq11@00:04.3;txq12@00:04.4;txq13@00:04.5;txq14@00:04.6;txq15@00:04.7]' \
     -- -p 0x1 --parse-ptype 1 \
     --config "(0,0,1),(0,1,2),(0,2,3),(0,3,4),(0,4,5),(0,5,6),(0,6,7),(0,7,8),(0,8,9),(0,9,10),(0,10,11),(0,11,12),(0,12,13),(0,13,14),(0,14,15),(0,15,16)"
 
@@ -231,8 +231,8 @@ Test Case 4: wake up packed ring vhost-user cores by multi virtio-net in VMs wit
 1. Bind two cbdma ports to vfio-pci driver, then launch l3fwd-power example app with client mode::
 
     ./x86_64-native-linuxapp-gcc/examples/dpdk-l3fwd-power  -l 1-2 -n 4 --log-level=9 \
-    --vdev 'eth_vhost0,iface=/vhost-net0,queues=1,client=1,dmas=[txq0@00:04.0]' \
-    --vdev 'eth_vhost1,iface=/vhost-net1,queues=1,client=1,dmas=[txq0@80:04.0]' \
+    --vdev 'eth_vhost0,iface=./vhost-net0,queues=1,client=1,dmas=[txq0@00:04.0]' \
+    --vdev 'eth_vhost1,iface=./vhost-net1,queues=1,client=1,dmas=[txq0@80:04.0]' \
     -- -p 0x3 --parse-ptype 1 --config "(0,0,1),(1,0,2)"
 
 2. Launch VM1 and VM2 with server mode::
@@ -243,7 +243,7 @@ Test Case 4: wake up packed ring vhost-user cores by multi virtio-net in VMs wit
      -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu1910.img  \
      -monitor unix:/tmp/vm2_monitor.sock,server,nowait -device e1000,netdev=nttsip1 \
      -netdev user,id=nttsip1,hostfwd=tcp:127.0.0.1:6003-:22 \
-     -chardev socket,server,id=char0,path=/vhost-net0 \
+     -chardev socket,server,id=char0,path=./vhost-net0,server \
      -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
      -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,csum=on,packed=on -vnc :10 -daemonize
 
@@ -253,15 +253,15 @@ Test Case 4: wake up packed ring vhost-user cores by multi virtio-net in VMs wit
      -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu1910-2.img  \
      -monitor unix:/tmp/vm2_monitor.sock,server,nowait -device e1000,netdev=nttsip1 \
      -netdev user,id=nttsip1,hostfwd=tcp:127.0.0.1:6004-:22 \
-     -chardev socket,server,id=char0,path=/vhost-net1 \
+     -chardev socket,server,id=char0,path=./vhost-net1,server \
      -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
      -device virtio-net-pci,mac=52:54:00:00:00:02,netdev=mynet1,csum=on,packed=on -vnc :11 -daemonize
 
 3. Relauch l3fwd-power sample for port up::
 
     ./x86_64-native-linuxapp-gcc/examples/dpdk-l3fwd-power  -l 1-2 -n 4 --log-level=9 \
-    --vdev 'eth_vhost0,iface=/vhost-net0,queues=1,client=1,dmas=[txq0@00:04.0]' \
-    --vdev 'eth_vhost1,iface=/vhost-net1,queues=1,client=1,dmas=[txq0@80:04.0]' \
+    --vdev 'eth_vhost0,iface=./vhost-net0,queues=1,client=1,dmas=[txq0@00:04.0]' \
+    --vdev 'eth_vhost1,iface=./vhost-net1,queues=1,client=1,dmas=[txq0@80:04.0]' \
     -- -p 0x3 --parse-ptype 1 --config "(0,0,1),(1,0,2)"
 
 4. On VM1, set ip for virtio device and send packets to vhost::