diff --git a/test_plans/l3fwdacl_test_plan.rst b/test_plans/l3fwdacl_test_plan.rst
index cf838ac0..34f978bc 100644
--- a/test_plans/l3fwdacl_test_plan.rst
+++ b/test_plans/l3fwdacl_test_plan.rst
@@ -12,6 +12,8 @@ This document contains the test plan and results for testing
 ``l3fwd-acl`` using the ACL library for access control and L3
 forwarding.
 
+Refer to http://git.dpdk.org/dpdk/tree/doc/guides/sample_app_ug/l3_forward.rst
+
 The ``l3fwd-acl`` application uses an IPv4 5-tuple syntax for packet
 matching. The 5-tuple consist of source IP address, destination IP
 address, source port, destination port and a protocol identifier.
@@ -44,12 +46,35 @@ Prerequisites
     insmod  ./x86_64-native-linuxapp-gcc/kmod/igb_uio.ko
     ./usertools/dpdk-devbind.py --bind=igb_uio 04:00.0 04:00.1
 
-Build dpdk and examples=l3fwd-acl:
-   CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static <build_target>
-   ninja -C <build_target>
-
-   meson configure -Dexamples=l3fwd-acl <build_target>
-   ninja -C <build_target>
+3. Build dpdk and examples=l3fwd::
+
+    CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static <build_target>
+    ninja -C <build_target>
+    meson configure -Dexamples=l3fwd <build_target>
+    ninja -C <build_target>
+
+4. Run l3fwd-acl by using "--lookup acl" on L3FWD::
+
+    The application has a number of command line options:
+    ./<build_target>/examples/dpdk-l3fwd [EAL options] -- -p PORTMASK
+                             --rule_ipv4=FILE
+                             --rule_ipv6=FILE
+                             [-P]
+                             [--lookup LOOKUP_METHOD]
+                             --config(port,queue,lcore)[,(port,queue,lcore)]
+                             [--eth-dest=X,MM:MM:MM:MM:MM:MM]
+                             [--max-pkt-len PKTLEN]
+                             [--no-numa]
+                             [--hash-entry-num]
+                             [--ipv6]
+                             [--parse-ptype]
+                             [--per-port-pool]
+                             [--mode]
+                             [--eventq-sched]
+                             [--event-eth-rxqs]
+                             [--event-vector [--event-vector-size SIZE] [--event-vector-tmo NS]]
+                             [-E]
+                             [-L]
 
 Test Case: packet match ACL rule
 ================================
@@ -63,7 +88,7 @@ Ipv4 packet match source ip address 200.10.0.1 will be dropped::
     Add one default rule in rule file /root/rule_ipv6.db
     R0:0:0:0:0:0:0:0/0 0:0:0:0:0:0:0:0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one ipv4 packet with source ip address 200.10.0.1 will be dropped.
@@ -78,7 +103,7 @@ Ipv4 packet match destination ip address 100.10.0.1 will be dropped::
     Add one default rule in rule file /root/rule_ipv6.db
     R0:0:0:0:0:0:0:0/0 0:0:0:0:0:0:0:0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one ipv4 packet with destination ip address 100.10.0.1 will be dropped.
@@ -93,7 +118,7 @@ Ipv4 packet match source port 11 will be dropped::
     Add one default rule in rule file /root/rule_ipv6.db
     R0:0:0:0:0:0:0:0/0 0:0:0:0:0:0:0:0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one ipv4 packet with source port 11 will be dropped.
@@ -108,7 +133,7 @@ Ipv4 packet match destination port 101 will be dropped::
     Add one default rule in rule file /root/rule_ipv6.db
     R0:0:0:0:0:0:0:0/0 0:0:0:0:0:0:0:0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one ipv4 packet with destination port 101 will be dropped.
@@ -123,7 +148,7 @@ Ipv4 packet match protocol TCP will be dropped::
     Add one default rule in rule file /root/rule_ipv6.db
     R0:0:0:0:0:0:0:0/0 0:0:0:0:0:0:0:0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one TCP ipv4 packet will be dropped.
@@ -138,7 +163,7 @@ Ipv4 packet match 5-tuple will be dropped::
     Add one default rule in rule file /root/rule_ipv6.db
     R0:0:0:0:0:0:0:0/0 0:0:0:0:0:0:0:0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one TCP ipv4 packet with source ip address 200.10.0.1,
@@ -158,7 +183,7 @@ Ipv6 packet match source ipv6 address 2001:0db8:85a3:08d3:1319:8a2e:0370:7344/12
     Add one default rule in rule file /root/rule_ipv4.db
     R0.0.0.0/0 0.0.0.0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one ipv6 packet with source ip address 2001:0db8:85a3:08d3:1319:8a2e:0370:7344/128 will be dropped.
@@ -173,7 +198,7 @@ Ipv6 packet match destination ipv6 address 2002:0db8:85a3:08d3:1319:8a2e:0370:73
     Add one default rule in rule file /root/rule_ipv4.db
     R0.0.0.0/0 0.0.0.0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one ipv6 packet with destination ip address 2002:0db8:85a3:08d3:1319:8a2e:0370:7344/128 will be dropped.
@@ -188,7 +213,7 @@ Ipv6 packet match source port 11 will be dropped::
     Add one default rule in rule file /root/rule_ipv4.db
     R0.0.0.0/0 0.0.0.0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one ipv6 packet with source port 11 will be dropped.
@@ -203,7 +228,7 @@ Ipv6 packet match destination port 101 will be dropped::
     Add one default rule in rule file /root/rule_ipv4.db
     R0.0.0.0/0 0.0.0.0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one ipv6 packet with destination port 101 will be dropped.
@@ -218,7 +243,7 @@ Ipv6 packet match protocol TCP will be dropped::
     Add one default rule in rule file /root/rule_ipv4.db
     R0.0.0.0/0 0.0.0.0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one TCP ipv6 packet will be dropped.
@@ -233,7 +258,7 @@ Ipv6 packet match 5-tuple will be dropped::
     Add one default rule in rule file /root/rule_ipv4.db
     R0.0.0.0/0 0.0.0.0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
      --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one TCP ipv6 packet with source ip address 2001:0db8:85a3:08d3:1319:8a2e:0370:7344/128,
@@ -259,7 +284,7 @@ Add two exact rule as below in rule_ipv6.db::
 
 Start l3fwd-acl and send packet::
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     Send one TCP ipv4 packet with source ip address 200.10.0.1, destination
@@ -290,7 +315,7 @@ Add two LPM rule as below in rule_ipv6.db::
 
 Start l3fwd-acl and send packet::
 
-	./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+	./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
 	--rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
 	Send one TCP ipv4 packet with destination ip address 1.1.1.1 will be forward to PORT0.
@@ -311,7 +336,7 @@ Packet match 5-tuple will be dropped::
     @2001:0db8:85a3:08d3:1319:8a2e:0370:7344/128 2002:0db8:85a3:08d3:1319:8a2e:0370:7344/101 11 : 11 101 : 101 0x06/0xff
     R0:0:0:0:0:0:0:0/0 0:0:0:0:0:0:0:0/0 0 : 65535 0 : 65535 0x00/0x00 0
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db" --scalar
 
     Send one TCP ipv4 packet with source ip address 200.10.0.1, destination ip address 100.10.0.1,
@@ -341,7 +366,7 @@ Add two ACL rule as below in rule_ipv6.db::
 
 Start l3fwd-acl::
 
-    ./<build_target>/examples/dpdk-l3fwd-acl -c ff -n 3 -- -p 0x3 --config="(0,0,2),(1,0,3)"
+    ./<build_target>/examples/dpdk-l3fwd -c ff -n 3 -- -p 0x3 --lookup acl  --parse-ptype --config="(0,0,2),(1,0,3)"
     --rule_ipv4="/root/rule_ipv4.db" --rule_ipv6="/root/rule_ipv6.db"
 
     The l3fwdacl will not set up because of ivalid ACL rule.