diff --git a/test_plans/ice_iavf_rss_configure_test_plan.rst b/test_plans/ice_iavf_rss_configure_test_plan.rst
index 86ab957c..886d1eab 100644
--- a/test_plans/ice_iavf_rss_configure_test_plan.rst
+++ b/test_plans/ice_iavf_rss_configure_test_plan.rst
@@ -60,7 +60,7 @@ Basic test steps
 
 * testpmd runtime functions::
 
-   port config all rss ip/udp/tcp/sctp/none/all
+   port config all rss ip/udp/tcp/sctp/none/all/default
 
   * The ``none`` option is equivalent to the ``--disable-rss`` command-line option.
   * The `` ip`` option is equivalent to the ``--rss-ip`` command-line option.
@@ -190,6 +190,22 @@ Basic test steps
     |                               +------------------------------+--------------------------+-----------------------------+-------------------------+
     |                               |                              |                          | MAC_IPV6_SCTP               | different hash value    |
     +-------------------------------+------------------------------+--------------------------+-----------------------------+-------------------------+
+    |                               | ALL                          | all                      | MAC_IPV4_PAY                | record hash value       |
+    |                               +------------------------------+--------------------------+-----------------------------+-------------------------+
+    |                               |                              |                          | MAC_IPV4_UDP                | different hash value    |
+    |                               +------------------------------+--------------------------+-----------------------------+-------------------------+
+    |                               |                              |                          | MAC_IPV4_TCP                | different hash value    |
+    |                               +------------------------------+--------------------------+-----------------------------+-------------------------+
+    |                               |                              |                          | MAC_IPV4_SCTP               | different hash value    |
+    |             default           +------------------------------+--------------------------+-----------------------------+-------------------------+
+    |                               |                              |                          | MAC_IPV6_PAY                | record hash value       |
+    |                               +------------------------------+--------------------------+-----------------------------+-------------------------+
+    |                               |                              |                          | MAC_IPV6_UDP                | different hash value    |
+    |                               +------------------------------+--------------------------+-----------------------------+-------------------------+
+    |                               |                              |                          | MAC_IPV6_TCP                | different hash value    |
+    |                               +------------------------------+--------------------------+-----------------------------+-------------------------+
+    |                               |                              |                          | MAC_IPV6_SCTP               | different hash value    |
+    +-------------------------------+------------------------------+--------------------------+-----------------------------+-------------------------+
     |                               |                              |                          | MAC_IPV4_PAY                | no hash value           |
     |                               +------------------------------+--------------------------+-----------------------------+-------------------------+
     |                               |                              |                          | MAC_IPV4_SCTP               | no hash value           |
diff --git a/tests/TestSuite_ice_iavf_rss_configure.py b/tests/TestSuite_ice_iavf_rss_configure.py
index 8194c81d..b227ca54 100644
--- a/tests/TestSuite_ice_iavf_rss_configure.py
+++ b/tests/TestSuite_ice_iavf_rss_configure.py
@@ -227,6 +227,8 @@ tvs_mac_disable_rss = eval(
     .replace("check_hash_different", "check_no_hash")
 )
 
+tvs_mac_default = tvs_mac_all
+
 
 class IAVFRSSConfigureTest(TestCase):
     def set_up_all(self):
@@ -360,6 +362,10 @@ class IAVFRSSConfigureTest(TestCase):
         self.set_rss_configure(rss_type="none")
         self.rssprocess.handle_rss_distribute_cases(cases_info=tvs_mac_disable_rss)
 
+    def test_iavf_rss_configure_to_default(self):
+        self.set_rss_configure(rss_type="default")
+        self.rssprocess.handle_rss_distribute_cases(cases_info=tvs_mac_default)
+
     def test_iavf_rss_command_line_to_ip(self):
         self.restart_testpmd(cmd_line="--rss-ip")
         self.rssprocess.handle_rss_distribute_cases(cases_info=tvs_mac_ip)